/********************************************************************* 

A two-dimensional square sound field

for bem

 *********************************************************************/

// chalacteristic length definition
lc = 1.0;
//lc = 0.1;
//lc = 0.1/2;
//lc = 0.3;

// Definition of points
Point(1) = {0, 0, 0, lc};
Point(2) = {1, 0, 0, lc};
Point(3) = {1, 1, 0, lc};
Point(4) = {0, 1, 0, lc};

Point(5) = {0.7, 0.7, 0, lc};


// source point
Physical Point("S") = {5};

// Definitions of lines
Line(1) = {1,2};
Line(2) = {2,3};
Line(3) = {3,4};
Line(4) = {4,1};

// Physical line names
Physical Line("rigid") = {1,2,3,4};

// Boundary of a sound field
Line Loop(1) = {1,2,3,4};

