/********************************************************************* 

A two-dimensional square sound field for sampleBem2.py

 *********************************************************************/

// chalacteristic length definition
lc = 0.1;

// Definition of points
Point(1) = {0.5, 0.5, 0, lc};
Point(2) = {-0.5, 0.5, 0, lc};
Point(3) = {-0.5, -0.5, 0, lc};
Point(4) = {0.5, -0.5, 0, lc};

Line(1) = {1,2};
Line(2) = {2,3};
Line(3) = {3,4};
Line(4) = {4,1};

Physical Line("rigid") = {1,2,4};
Physical Line("absorbing") = {3};

Line Loop(1) = {1,2,3,4} ;

