/********************************************************************* 

A two-dimensional square sound field

 *********************************************************************/

// chalacteristic length definition
lc = 0.1;
//lc = 0.1/2;
//lc = 0.3;

// Definition of points
Point(1) = {0, 0, 0, lc};
Point(2) = {1, 0, 0, lc};
Point(3) = {1, 1, 0, lc};
Point(4) = {0, 1, 0, lc};

//Point(1) = {1, 0, 0, lc};
//Point(2) = {0, 1, 0, lc};
//Point(3) = {-1, 0, 0, lc};
//Point(4) = {0, -1, 0, lc};


Physical Point("S") = {1};

Line(1) = {1,2};
Line(2) = {2,3};
Line(3) = {3,4};
Line(4) = {4,1};

Physical Line("Lx1") = {1};
Physical Line("Ly1") = {2};
Physical Line("Lx2") = {3};
Physical Line("Ly2") = {4};

Line Loop(1) = {1,2,3,4} ;

Plane Surface(1) = {1} ;
Physical Surface("Soundfield") = {1};
